<Manage::FieldContainer @title={{t 'attributions'}} @isDisabled={{@isDisabled}} @isSaveDisabled={{this.isDisabled}}
  @editablePanel={{@editablePanel}} @onEdit={{@onEdit}} @onSave={{this.save}} @onCancel={{this.cancel}} ...attributes>
  <:view>
    <p>
      {{#if this.list}}
        {{#each this.list as |item|}}
          <li class='mt-3'>
            <b>{{item.name}}</b>
            at
            <b>{{item.url}}</b>
          </li>
        {{/each}}
      {{else}}
        <div class='alert alert-warning' role='alert'>
          {{t 'There are no attributions'}}
        </div>
      {{/if}}
    </p>
  </:view>

  <:edit>
    <ol>
      {{#each this.list as |item index|}}
        <li class='mt-3'>
          <div class='row'>
            <div class='col'>
              <Input::Manage::Attributions @text={{item.name}} @url={{item.url}} />
            </div>

            <div class='col-1'>
              <button type='button' class='btn-danger btn float-end' {{on 'click' (fn this.remove index)}}>
                <FaIcon @icon='trash' />
              </button>
            </div>
          </div>
        </li>
      {{/each}}
    </ol>

    <button type='button' class='btn-secondary btn btn-add' {{on 'click' this.addItem}}>
      <FaIcon @icon='plus' />
      Add
    </button>
  </:edit>
</Manage::FieldContainer>